Bug 459818 - SHMConfig should be enabled by default
SHMConfig should be enabled by default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
: Triaged
: 475949 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 13:17 EDT by Ben Gamari
Modified: 2013-04-02 00:22 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:19:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified FDI to enable SHMConfig (598 bytes, text/plain)
2008-08-22 13:17 EDT, Ben Gamari
no flags Details

  None (edit)
Description Ben Gamari 2008-08-22 13:17:24 EDT
Created attachment 314821 [details]
Modified FDI to enable SHMConfig

SHMConfig should be enabled by default until input properties are merged.
Comment 1 Axel Thimm 2008-08-22 14:38:17 EDT
reassigning to correct component (synaptic != synaptics :)

But let me add my 0.02: /usr/share/doc/synaptics-0.14.6/INSTALL says about 
enabling SHMConfig:

   Note! This is not secure if you are in an untrusted multiuser
   environment. All local users can change the parameters at any
   time.

So I'd recommend to keep things as they currently are.
Comment 2 Stefano Cavallari 2008-11-25 10:40:32 EST
(In reply to comment #1)
[...]
>    Note! This is not secure if you are in an untrusted multiuser
>    environment. All local users can change the parameters at any
>    time.
> 
> So I'd recommend to keep things as they currently are.

Enabling SHMConfig for the average user is quite difficult especially now that F10 ha no xorg.conf by default.
Moreover Synaptics touchpads are installed on laptops which are hardly "multiuser systems".
Even if so, I don't see how messing with the touchpad configuration may be a security hazard. The worst possibile outcame is a non-working touchpad.
Comment 3 Ben Gamari 2008-11-25 11:05:31 EST
I think I'd agree with comment #2. If the worst issue is somebody screwing with my touchpad settings, I think it's worth the risk. But, that being said, do we know when input properties can be expected to be available on Fedora? If I'm not mistaken, input properties will be merged into xserver-1.6. Will this be incorporated in F10 or held off to F11?
Comment 4 Gianluca Sforna 2008-11-25 11:10:17 EST
For the records, I made gsynaptics work on my laptop (which is Fedora 9,
though) by adding the line:

<merge key="input.x11_options.SHMConfig" type="string">true</merge>

in the file

/usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi

just after the line:
<match key="info.capabilities" contains="input.touchpad">

A restart of hald and X (or a reboot) is needed after the change
Comment 5 Bug Zapper 2008-11-25 21:50:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Ignacio Vazquez-Abrams 2008-12-11 05:44:42 EST
*** Bug 475949 has been marked as a duplicate of this bug. ***
Comment 7 Matt Castelein 2008-12-12 21:45:32 EST
I agree with #2.. I still don't have my touchpad working.. Do I have to restart to make it take effect?
Comment 8 Gianluca Sforna 2008-12-13 04:11:52 EST
yes, a restart of the system (or at least for the hal daemon and Xorg) is needed
Comment 9 Matt Castelein 2009-01-09 23:47:05 EST
Man, I just had this all working and today it's reverted to the way it was before.. What the !@#$
Comment 10 Matt Castelein 2009-01-09 23:53:00 EST
OK, I still have the change from comment #4, but my touchpad scrolling isn't working anymore.. GSynaptics says I have to set SHMconfig to true, but I didn't change it since I had it working.. What's going on?
Comment 11 Gianluca Sforna 2009-01-10 08:02:35 EST
The file we modified is probably not marked as "%config" in the RPM so it will get overwritten each time there is an update to the package owning it.
Comment 12 Matt Castelein 2009-01-11 17:27:31 EST
(In reply to comment #11)
> The file we modified is probably not marked as "%config" in the RPM so it will
> get overwritten each time there is an update to the package owning it.

That wasn't it.. I have made the change listed here but every once in a while my system comes up with the touchpad not working, and says I need to set SHMConfig to true.. Rebooting generally brings it back so there's something else at play here.
Comment 13 Johnny Proton 2009-02-03 23:30:48 EST
To the ridiculously intelligent developers out there... When does this feature become enabled by default???

In particular, why can't this just be included in the standard Redhat Mouse Configuration Utility?  I just want to be able to disable tapping without going through hours of stupid restarting, etc.

BTW in case you guys didn't know, it's called a mouse, and it's part of the primary interface to the computer for 99.9% of the people who use a computer and DONT WANT TO USE THE COMMAND LINE TO SET A SIMPLE PREFERENCE WHICH IS ALREADY INCLUDED WITH EVERY OTHER OPERATING SYSTEM.
Comment 14 Ben Gamari 2009-02-04 10:32:58 EST
(In reply to comment #13)
> To the ridiculously intelligent developers out there... When does this feature
> become enabled by default???
Never. As has been said in the past, SHMConfig is both potentially insecure and a hack of a solution.
> 
> In particular, why can't this just be included in the standard Redhat Mouse
> Configuration Utility?  I just want to be able to disable tapping without going
> through hours of stupid restarting, etc.
You are free to enable SHMConfig on your own machine if you desire

However, the real point to be made here is that full xinput properties support is now included in the synaptics driver. I've been running happily with it for several weeks now (I run xorg from git). Not only does it not require SHM ugliness, but it presents a nice uniform interface to configure all input devices. Now someone just needs to write a GUI for it (a task I might take up soon). This should be integrated in F11.
Comment 15 Matt Castelein 2009-02-07 16:23:35 EST
(In reply to comment #14)
> You are free to enable SHMConfig on your own machine if you desire

I had this enabled before but now it's reverted to whatever default settings are..  I certainly think configuring my laptop touchpad should be a whole heck of a lot simpler than it is right now.
Comment 16 Johnny Proton 2009-02-07 17:15:23 EST
I Ben's fix gets into F11 then I agree that would be the best solution.  All I want to do is disable tapping -- feel like that was on Ubuntu's mouse preference already but can't remember.

I agree that SHMConfig is a bad program and should be unnecessary, but it is just difficult to see all this "dwell click" stuff in the standard Fedora mouse preference dialog, but still no "disable tapping" box.
Comment 17 Ben Gamari 2009-02-07 17:25:37 EST
(In reply to comment #16)
> I Ben's fix gets into F11 then I agree that would be the best solution.  All I
> want to do is disable tapping -- feel like that was on Ubuntu's mouse
> preference already but can't remember.
It's already in Rawhide although I don't believe there's a UI for it yet.

> 
> I agree that SHMConfig is a bad program and should be unnecessary, but it is
> just difficult to see all this "dwell click" stuff in the standard Fedora mouse
> preference dialog, but still no "disable tapping" box.
Understandable, F11 will be released soon enough.
Comment 18 Matt Castelein 2009-03-19 23:34:25 EDT
Every time I think I've figured out which updates mess this up, some new thing messes with it.  Right now I am typing this and not only is my scroll not working, but I have to press hard on the touch pad every few seconds to unfreeze the computer! This is CRAZY!!! AAND WHHHHHHHHHHHHHHHHHHHH WHY is the touchpad causing keys to repeaaaaaat?????
Comment 19 Matt Castelein 2009-03-22 10:52:08 EDT
I'm seeing weird behaviours in the latest version.. Tapping enables itself, and then the system will freeze for brief periods, and unfreeze when I press hard on the touchpad.. I'm not even rebooting; I'll turn off tapping and the freezing goes away but a while later tapping turns back on apparently on it's own.
Comment 20 Chris Nutt 2009-06-13 10:36:04 EDT
In fedora 11 on KDE4, I have Gsynaptics that is now enabled (had to manually "yum" it!), i can get the tapping (which i want to use) activated so that it works perfectly, however when i log out and in / restart the workstation the settings resort back to default. Also it is not included in the KDE4 menu so i have to run it manually.
Comment 21 Gianluca Sforna 2009-07-06 06:53:20 EDT
so, it seems the way to go is not gsynaptics anymore, but the gpointing-device-settings project.

I submitted a package in bug 509310 if anyone wants to help with the review it will be surely appreciated by a lot of users ;)
Comment 23 Bug Zapper 2009-11-18 03:18:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Bug Zapper 2009-12-18 01:19:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.